org.modeshape.jboss.subsystem

## Class AbstractAddIndexStorage

- java.lang.Object
- - org.jboss.as.controller.AbstractAddStepHandler
  - - org.modeshape.jboss.subsystem.AbstractAddIndexStorage

- All Implemented Interfaces:
    org.jboss.as.controller.OperationStepHandler
  Direct Known Subclasses:
    AbstractAddFileSystemIndexStorage, AddCustomIndexStorage, AddRamIndexStorage

      public abstract class AbstractAddIndexStorage
      extends org.jboss.as.controller.AbstractAddStepHandler

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractAddIndexStorage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addControllersAndDependencies(String repositoryName, IndexStorageService service, List<org.jboss.msc.service.ServiceController<?>> newControllers, org.jboss.msc.service.ServiceBuilder<IndexStorage> builder, org.jboss.msc.service.ServiceTarget target)`
    `protected void` | `performRuntime(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode storage, org.jboss.as.controller.ServiceVerificationHandler verificationHandler, List<org.jboss.msc.service.ServiceController<?>> newControllers)`
    `protected boolean` | `requiresRuntime(org.jboss.as.controller.OperationContext context)`
    `protected void` | `writeIndexingBackendConfiguration(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode storage, EditableDocument backend)`
    `protected abstract void` | `writeIndexStorageConfiguration(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode storage, EditableDocument indexStorage, String repositoryName)`
    `protected void` | `writeIndexStorageSpecificIndexingConfiguration(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode storage, EditableDocument indexing)`

    - ### Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler

      `createResource, execute, populateModel, populateModel, populateModel, requiresRuntimeVerification, rollbackRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractAddIndexStorage

          protected AbstractAddIndexStorage()

  - ### Method Detail

    - #### performRuntime

          protected void performRuntime(org.jboss.as.controller.OperationContext context,
                            org.jboss.dmr.ModelNode operation,
                            org.jboss.dmr.ModelNode storage,
                            org.jboss.as.controller.ServiceVerificationHandler verificationHandler,
                            List<org.jboss.msc.service.ServiceController<?>> newControllers)
                                 throws org.jboss.as.controller.OperationFailedException

      Overrides:
        `performRuntime` in class `org.jboss.as.controller.AbstractAddStepHandler`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

    - #### requiresRuntime

          protected boolean requiresRuntime(org.jboss.as.controller.OperationContext context)

      Overrides:
        `requiresRuntime` in class `org.jboss.as.controller.AbstractAddStepHandler`

    - #### writeIndexStorageConfiguration

          protected abstract void writeIndexStorageConfiguration(org.jboss.as.controller.OperationContext context,
                                            org.jboss.dmr.ModelNode storage,
                                            EditableDocument indexStorage,
                                            String repositoryName)
                                                          throws org.jboss.as.controller.OperationFailedException

      Throws:
        `org.jboss.as.controller.OperationFailedException`

    - #### writeIndexStorageSpecificIndexingConfiguration

          protected void writeIndexStorageSpecificIndexingConfiguration(org.jboss.as.controller.OperationContext context,
                                                            org.jboss.dmr.ModelNode storage,
                                                            EditableDocument indexing)
                                                                 throws org.jboss.as.controller.OperationFailedException

      Throws:
        `org.jboss.as.controller.OperationFailedException`

    - #### writeIndexingBackendConfiguration

          protected void writeIndexingBackendConfiguration(org.jboss.as.controller.OperationContext context,
                                               org.jboss.dmr.ModelNode storage,
                                               EditableDocument backend)
                                                    throws org.jboss.as.controller.OperationFailedException

      Throws:
        `org.jboss.as.controller.OperationFailedException`

    - #### addControllersAndDependencies

          protected void addControllersAndDependencies(String repositoryName,
                                           IndexStorageService service,
                                           List<org.jboss.msc.service.ServiceController<?>> newControllers,
                                           org.jboss.msc.service.ServiceBuilder<IndexStorage> builder,
                                           org.jboss.msc.service.ServiceTarget target)
                                                throws org.jboss.as.controller.OperationFailedException

      Throws:
        `org.jboss.as.controller.OperationFailedException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.